config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/pmix-mca-params.conf.new
config etc/openmpi-default-hostfile.new
config etc/openmpi-mca-params.conf.new
config etc/openmpi-totalview.tcl.new
( cd usr/man/man1 ; rm -rf mpiCC.1.gz )
( cd usr/man/man1 ; ln -sf mpic++.1.gz mpiCC.1.gz )
( cd usr/bin ; rm -rf mpic++ )
( cd usr/bin ; ln -sf opal_wrapper mpic++ )
( cd usr/bin ; rm -rf mpif90 )
( cd usr/bin ; ln -sf opal_wrapper mpif90 )
( cd usr/bin ; rm -rf ompi-clean )
( cd usr/bin ; ln -sf orte-clean ompi-clean )
( cd usr/bin ; rm -rf mpifort )
( cd usr/bin ; ln -sf opal_wrapper mpifort )
( cd usr/bin ; rm -rf mpicc )
( cd usr/bin ; ln -sf opal_wrapper mpicc )
( cd usr/bin ; rm -rf mpif77 )
( cd usr/bin ; ln -sf opal_wrapper mpif77 )
( cd usr/bin ; rm -rf mpiexec )
( cd usr/bin ; ln -sf orterun mpiexec )
( cd usr/bin ; rm -rf ompi-server )
( cd usr/bin ; ln -sf orte-server ompi-server )
( cd usr/bin ; rm -rf mpiCC )
( cd usr/bin ; ln -sf opal_wrapper mpiCC )
( cd usr/bin ; rm -rf mpicxx )
( cd usr/bin ; ln -sf opal_wrapper mpicxx )
( cd usr/bin ; rm -rf ortecc )
( cd usr/bin ; ln -sf opal_wrapper ortecc )
( cd usr/bin ; rm -rf mpirun )
( cd usr/bin ; ln -sf orterun mpirun )
( cd usr/share/openmpi ; rm -rf mpicxx-wrapper-data.txt )
( cd usr/share/openmpi ; ln -sf mpic++-wrapper-data.txt mpicxx-wrapper-data.txt )
( cd usr/share/openmpi ; rm -rf mpiCC-wrapper-data.txt )
( cd usr/share/openmpi ; ln -sf mpic++-wrapper-data.txt mpiCC-wrapper-data.txt )
( cd usr/share/openmpi ; rm -rf mpif90-wrapper-data.txt )
( cd usr/share/openmpi ; ln -sf mpifort-wrapper-data.txt mpif90-wrapper-data.txt )
( cd usr/share/openmpi ; rm -rf mpif77-wrapper-data.txt )
( cd usr/share/openmpi ; ln -sf mpifort-wrapper-data.txt mpif77-wrapper-data.txt )
( cd usr/lib64 ; rm -rf libompitrace.so.40 )
( cd usr/lib64 ; ln -sf libompitrace.so.40.20.0 libompitrace.so.40 )
( cd usr/lib64 ; rm -rf libmpi_usempif08.so.40 )
( cd usr/lib64 ; ln -sf libmpi_usempif08.so.40.20.1 libmpi_usempif08.so.40 )
( cd usr/lib64 ; rm -rf libmpi_mpifh.so.40 )
( cd usr/lib64 ; ln -sf libmpi_mpifh.so.40.20.2 libmpi_mpifh.so.40 )
( cd usr/lib64 ; rm -rf libmca_common_ompio.so )
( cd usr/lib64 ; ln -sf libmca_common_ompio.so.41.19.2 libmca_common_ompio.so )
( cd usr/lib64/pkgconfig ; rm -rf ompi-f90.pc )
( cd usr/lib64/pkgconfig ; ln -sf ompi-fort.pc ompi-f90.pc )
( cd usr/lib64/pkgconfig ; rm -rf ompi-f77.pc )
( cd usr/lib64/pkgconfig ; ln -sf ompi-fort.pc ompi-f77.pc )
( cd usr/lib64 ; rm -rf libmca_common_sm.so.40 )
( cd usr/lib64 ; ln -sf libmca_common_sm.so.40.20.0 libmca_common_sm.so.40 )
( cd usr/lib64 ; rm -rf libmpi.so.40 )
( cd usr/lib64 ; ln -sf libmpi.so.40.20.2 libmpi.so.40 )
( cd usr/lib64 ; rm -rf libmca_common_sm.so )
( cd usr/lib64 ; ln -sf libmca_common_sm.so.40.20.0 libmca_common_sm.so )
( cd usr/lib64 ; rm -rf libopen-pal.so.40 )
( cd usr/lib64 ; ln -sf libopen-pal.so.40.20.2 libopen-pal.so.40 )
( cd usr/lib64 ; rm -rf libopen-rte.so.40 )
( cd usr/lib64 ; ln -sf libopen-rte.so.40.20.2 libopen-rte.so.40 )
( cd usr/lib64 ; rm -rf libmpi_mpifh.so )
( cd usr/lib64 ; ln -sf libmpi_mpifh.so.40.20.2 libmpi_mpifh.so )
( cd usr/lib64 ; rm -rf libmca_common_dstore.so.1 )
( cd usr/lib64 ; ln -sf libmca_common_dstore.so.1.0.1 libmca_common_dstore.so.1 )
( cd usr/lib64 ; rm -rf libmca_common_dstore.so )
( cd usr/lib64 ; ln -sf libmca_common_dstore.so.1.0.1 libmca_common_dstore.so )
( cd usr/lib64 ; rm -rf libmpi_usempi_ignore_tkr.so )
( cd usr/lib64 ; ln -sf libmpi_usempi_ignore_tkr.so.40.20.0 libmpi_usempi_ignore_tkr.so )
( cd usr/lib64 ; rm -rf libmpi.so )
( cd usr/lib64 ; ln -sf libmpi.so.40.20.2 libmpi.so )
( cd usr/lib64 ; rm -rf libompitrace.so )
( cd usr/lib64 ; ln -sf libompitrace.so.40.20.0 libompitrace.so )
( cd usr/lib64 ; rm -rf libopen-pal.so )
( cd usr/lib64 ; ln -sf libopen-pal.so.40.20.2 libopen-pal.so )
( cd usr/lib64 ; rm -rf libmca_common_ompio.so.41 )
( cd usr/lib64 ; ln -sf libmca_common_ompio.so.41.19.2 libmca_common_ompio.so.41 )
( cd usr/lib64 ; rm -rf libmpi_usempif08.so )
( cd usr/lib64 ; ln -sf libmpi_usempif08.so.40.20.1 libmpi_usempif08.so )
( cd usr/lib64 ; rm -rf libmpi_usempi_ignore_tkr.so.40 )
( cd usr/lib64 ; ln -sf libmpi_usempi_ignore_tkr.so.40.20.0 libmpi_usempi_ignore_tkr.so.40 )
( cd usr/lib64 ; rm -rf libmca_common_monitoring.so )
( cd usr/lib64 ; ln -sf libmca_common_monitoring.so.50.10.0 libmca_common_monitoring.so )
( cd usr/lib64 ; rm -rf libmca_common_monitoring.so.50 )
( cd usr/lib64 ; ln -sf libmca_common_monitoring.so.50.10.0 libmca_common_monitoring.so.50 )
( cd usr/lib64 ; rm -rf libopen-rte.so )
( cd usr/lib64 ; ln -sf libopen-rte.so.40.20.2 libopen-rte.so )
